summaryrefslogtreecommitdiff
path: root/src/scripts/14chroot.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:35 +0200
committerDaniel Baumann <daniel@debian.org>2007-09-23 10:04:35 +0200
commit03c8a20c280c6888b4d274a3095013064b94e99b (patch)
treeff765a81a4065ee3d5e0a7c43065aa5c099b9117 /src/scripts/14chroot.sh
parent877d8dd14c0f97bf64db6ab21d23da98dd64fdd5 (diff)
downloadlive-build-03c8a20c280c6888b4d274a3095013064b94e99b.zip
live-build-03c8a20c280c6888b4d274a3095013064b94e99b.tar.gz
Adding live-package 0.99.13-1.
Diffstat (limited to 'src/scripts/14chroot.sh')
-rw-r--r--src/scripts/14chroot.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/src/scripts/14chroot.sh b/src/scripts/14chroot.sh
index 5b226e1..45d214d 100644
--- a/src/scripts/14chroot.sh
+++ b/src/scripts/14chroot.sh
@@ -95,10 +95,15 @@ Chroot ()
# Restore preseed configuration
if [ -f "${LIVE_PRESEED}" ]
then
- Chroot_exec "apt-get install --yes debconf-utils"
+ Chroot_exec "apt-get install --yes --force-yes debconf-utils"
cp "${LIVE_PRESEED}" "${LIVE_CHROOT}"/root/preseed
Chroot_exec "debconf-set-selections /root/preseed"
rm -f "${LIVE_CHROOT}"/root/preseed
+ else
+ if [ -n "${LIVE_PRESEED}" ]; then
+ echo "'${LIVE_PRESEED}' file doesn't exists. Exiting..."
+ exit 1
+ fi
fi
# Restore cloned package selection